clang-tools 8.0.0

Namespaces | Macros | Functions
ClangdUnit.cpp File Reference
`#include "ClangdUnit.h"`
`#include "../clang-tidy/ClangTidyDiagnosticConsumer.h"`
`#include "../clang-tidy/ClangTidyModuleRegistry.h"`
`#include "Compiler.h"`
`#include "Diagnostics.h"`
`#include "Logger.h"`
`#include "SourceCode.h"`
`#include "Trace.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Frontend/Utils.h"`
`#include "clang/Index/IndexDataConsumer.h"`
`#include "clang/Index/IndexingAction.h"`
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/MacroInfo.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Lex/PreprocessorOptions.h"`
`#include "clang/Sema/Sema.h"`
`#include "clang/Serialization/ASTWriter.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
Include dependency graph for ClangdUnit.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| clang::tidy

## Macros
#define | LINK_TIDY_MODULE(X)

## Functions
void | clang::clangd::dumpAST (ParsedAST &AST, llvm::raw_ostream &OS)
| For testing/debugging purposes. More...
std::unique_ptr< CompilerInvocation > | clang::clangd::buildCompilerInvocation (const ParseInputs &Inputs)
| Builds compiler invocation that could be used to build AST or preamble. More...
std::shared_ptr< const PreambleData > | clang::clangd::buildPreamble (PathRef FileName, CompilerInvocation &CI, std::shared_ptr< const PreambleData > OldPreamble, const tooling::CompileCommand &OldCompileCommand, const ParseInputs &Inputs, std::shared_ptr< PCHContainerOperations > PCHs, bool StoreInMemory, PreambleParsedCallback PreambleCallback)
| Rebuild the preamble for the new inputs unless the old one can be reused. More...
llvm::Optional< ParsedAST > | clang::clangd::buildAST (PathRef FileName, std::unique_ptr< CompilerInvocation > Invocation, const ParseInputs &Inputs, std::shared_ptr< const PreambleData > Preamble, std::shared_ptr< PCHContainerOperations > PCHs)
| Build an AST from provided user inputs. More...
SourceLocation | clang::clangd::getBeginningOfIdentifier (ParsedAST &Unit, const Position &Pos, const FileID FID)
| Get the beginning SourceLocation at a specified `Pos`. More...
| clang::tidy::LINK_TIDY_MODULE (CERT)
| clang::tidy::LINK_TIDY_MODULE (Abseil)
| clang::tidy::LINK_TIDY_MODULE (Boost)
| clang::tidy::LINK_TIDY_MODULE (Bugprone)
| clang::tidy::LINK_TIDY_MODULE (LLVM)
| clang::tidy::LINK_TIDY_MODULE (CppCoreGuidelines)
| clang::tidy::LINK_TIDY_MODULE (Fuchsia)
| clang::tidy::LINK_TIDY_MODULE (Google)
| clang::tidy::LINK_TIDY_MODULE (Android)
| clang::tidy::LINK_TIDY_MODULE (Misc)
| clang::tidy::LINK_TIDY_MODULE (Modernize)
| clang::tidy::LINK_TIDY_MODULE (Performance)
| clang::tidy::LINK_TIDY_MODULE (Portability)
| clang::tidy::LINK_TIDY_MODULE (Readability)
| clang::tidy::LINK_TIDY_MODULE (ObjC)
| clang::tidy::LINK_TIDY_MODULE (HICPP)
| clang::tidy::LINK_TIDY_MODULE (Zircon)

## Macro Definition Documentation

## ◆ LINK_TIDY_MODULE

#define LINK_TIDY_MODULE | ( |  | X | ) |

Value:
extern volatile int X##ModuleAnchorSource; \
static int LLVM_ATTRIBUTE_UNUSED X##ModuleAnchorDestination = \
X##ModuleAnchorSource
clang::tidy::abseil::X
static ClangTidyModuleRegistry::Add< AbseilModule > X("abseil-module", "Add Abseil checks.")

Definition at line 581 of file ClangdUnit.cpp.